# We don't have JAVA_V20
--- a/byte-buddy-dep/src/main/java/net/bytebuddy/ClassFileVersion.java
+++ b/byte-buddy-dep/src/main/java/net/bytebuddy/ClassFileVersion.java
@@ -140,11 +140,6 @@ public class ClassFileVersion implements Comparable<ClassFileVersion>, Serializa
      */
     public static final ClassFileVersion JAVA_V19 = new ClassFileVersion(Opcodes.V19);
 
-    /**
-     * The class file version of Java 20.
-     */
-    public static final ClassFileVersion JAVA_V20 = new ClassFileVersion(Opcodes.V20);
-
     /**
      * A version locator for the executing JVM.
      */
@@ -235,8 +230,6 @@ public class ClassFileVersion implements Comparable<ClassFileVersion>, Serializa
             return JAVA_V18;
         } else if (javaVersionString.equals("1.19") || javaVersionString.equals("19")) {
             return JAVA_V19;
-        } else if (javaVersionString.equals("1.20") || javaVersionString.equals("20")) {
-            return JAVA_V20;
         } else {
             if (OpenedClassReader.EXPERIMENTAL) {
                 try {
@@ -300,8 +293,6 @@ public class ClassFileVersion implements Comparable<ClassFileVersion>, Serializa
                 return JAVA_V18;
             case 19:
                 return JAVA_V19;
-            case 20:
-                return JAVA_V20;
             default:
                 if (OpenedClassReader.EXPERIMENTAL && javaVersion > 0) {
                     return new ClassFileVersion(BASE_VERSION + javaVersion);
@@ -317,7 +308,7 @@ public class ClassFileVersion implements Comparable<ClassFileVersion>, Serializa
      * @return The latest officially supported Java version.
      */
     public static ClassFileVersion latest() {
-        return ClassFileVersion.JAVA_V20;
+        return ClassFileVersion.JAVA_V19;
     }
 
     /**
--- a/byte-buddy-dep/src/test/java/net/bytebuddy/ClassFileVersionKnownVersionsTest.java
+++ b/byte-buddy-dep/src/test/java/net/bytebuddy/ClassFileVersionKnownVersionsTest.java
@@ -77,7 +77,6 @@ public class ClassFileVersionKnownVersionsTest {
                 {17, 17, Arrays.asList("1.17", "17"), Opcodes.V17, (short) 61, (short) 0, true, true, true},
                 {18, 18, Arrays.asList("1.18", "18"), Opcodes.V18, (short) 62, (short) 0, true, true, true},
                 {19, 19, Arrays.asList("1.19", "19"), Opcodes.V19, (short) 63, (short) 0, true, true, true},
-                {20, 20, Arrays.asList("1.20", "20"), Opcodes.V20, (short) 64, (short) 0, true, true, true}
         });
     }
 
